function calculateScore(tableOfCards)
	local score=0
	for i=1,tableLength(tableOfCards) do
		score=score+tableOfCards[i].power*multipliers[i]
	end
	return score
end

function calculateHandScore(hand)
	local score=0
	for i=1,tableLength(hand) do
		score=score+hand[i].power
	end
	return score
end

function initCardsMultipliers()
	local multipliers={}
	multipliers[1]=1
	for i=2,16 do
		multipliers[i]=1+(i/10)
	end
	return multipliers
end




--global vars
multipliers=initCardsMultipliers()